Bug 22954 - Minor markup error in OPAC messaging template
Summary: Minor markup error in OPAC messaging template
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-21 16:57 UTC by Owen Leonard
Modified: 2019-06-11 16:42 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22954: Minor markup error in OPAC messaging template (2.03 KB, patch)
2019-05-21 17:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22954: Minor markup error in OPAC messaging template (2.09 KB, patch)
2019-05-31 19:58 UTC, Nadine Pierre
Details | Diff | Splinter Review
Bug 22954: Minor markup error in OPAC messaging template (2.15 KB, patch)
2019-05-31 20:52 UTC, Arthur Bousquet
Details | Diff | Splinter Review
Bug 22954: Minor markup error in OPAC messaging template (2.21 KB, patch)
2019-06-02 13:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 16:57:02 UTC
There is a minor markup error in the OPAC's "your messaging" template (opac-messaging.tt). This triggers an error in the HTML validator:

 - "Self-closing syntax (/>) used on a non-void HTML element. Ignoring the slash 
   and treating as a start tag."
Comment 1 Owen Leonard 2019-05-21 17:05:51 UTC
Created attachment 89948 [details] [review]
Bug 22954: Minor markup error in OPAC messaging template

This patch corrects a minor error in opac-messaging.tt in order to
quiet errors returned by the HTML validator.

To reproduce the problem you should have the
EnhancedMessagingPreferencesOPAC  system preference enabled. Log in
to the OPAC and go to the "your messaging" page. Run the page through
the W3C validation service: https://validator.w3.org. Either by pasting
in the URL for the search results (if web accessible) or by viewing
source, copying, and pasting into "Validate by Direct Input."

This patch addresses this error:

 - "Self-closing syntax (/>) used on a non-void HTML element. Ignoring
   the slash and treating as a start tag."

To test, apply the patch and try again to reproduce the validation
error. The error should no longer be present. There should be no
visible change to the page.
Comment 2 Nadine Pierre 2019-05-31 19:58:17 UTC
Created attachment 90258 [details] [review]
Bug 22954: Minor markup error in OPAC messaging template

This patch corrects a minor error in opac-messaging.tt in order to
quiet errors returned by the HTML validator.

To reproduce the problem you should have the
EnhancedMessagingPreferencesOPAC  system preference enabled. Log in
to the OPAC and go to the "your messaging" page. Run the page through
the W3C validation service: https://validator.w3.org. Either by pasting
in the URL for the search results (if web accessible) or by viewing
source, copying, and pasting into "Validate by Direct Input."

This patch addresses this error:

 - "Self-closing syntax (/>) used on a non-void HTML element. Ignoring
   the slash and treating as a start tag."

To test, apply the patch and try again to reproduce the validation
error. The error should no longer be present. There should be no
visible change to the page.

Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Comment 3 Arthur Bousquet 2019-05-31 20:52:47 UTC
Created attachment 90261 [details] [review]
Bug 22954: Minor markup error in OPAC messaging template

This patch corrects a minor error in opac-messaging.tt in order to
quiet errors returned by the HTML validator.

To reproduce the problem you should have the
EnhancedMessagingPreferencesOPAC  system preference enabled. Log in
to the OPAC and go to the "your messaging" page. Run the page through
the W3C validation service: https://validator.w3.org. Either by pasting
in the URL for the search results (if web accessible) or by viewing
source, copying, and pasting into "Validate by Direct Input."

This patch addresses this error:

 - "Self-closing syntax (/>) used on a non-void HTML element. Ignoring
   the slash and treating as a start tag."

To test, apply the patch and try again to reproduce the validation
error. The error should no longer be present. There should be no
visible change to the page.

Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>
Comment 4 Katrin Fischer 2019-06-02 13:40:44 UTC
Created attachment 90268 [details] [review]
Bug 22954: Minor markup error in OPAC messaging template

This patch corrects a minor error in opac-messaging.tt in order to
quiet errors returned by the HTML validator.

To reproduce the problem you should have the
EnhancedMessagingPreferencesOPAC  system preference enabled. Log in
to the OPAC and go to the "your messaging" page. Run the page through
the W3C validation service: https://validator.w3.org. Either by pasting
in the URL for the search results (if web accessible) or by viewing
source, copying, and pasting into "Validate by Direct Input."

This patch addresses this error:

 - "Self-closing syntax (/>) used on a non-void HTML element. Ignoring
   the slash and treating as a start tag."

To test, apply the patch and try again to reproduce the validation
error. The error should no longer be present. There should be no
visible change to the page.

Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2019-06-04 09:20:15 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-06-10 15:06:28 UTC
Pushed to 19.05.x for 19.05.01
Comment 7 Lucas Gass 2019-06-11 16:42:46 UTC
backported to 18.11.x for 18.11.07